org.optaplanner.core.impl.score.stream.tri

## Class AbstractTriJoiner<A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.tri.AbstractTriJoiner<A,B,C>

- All Implemented Interfaces:
    TriJoiner<A,B,C>
  Direct Known Subclasses:
    CompositeTriJoiner, NoneTriJoiner, SingleTriJoiner

      public abstract class AbstractTriJoiner<A,B,C>
      extends AbstractJoiner
      implements TriJoiner<A,B,C>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTriJoiner()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract BiFunction<A,B,Object[]>` | `getLeftCombinedMapping()`
    `abstract BiFunction<A,B,Object>` | `getLeftMapping(int joinerId)`
    `abstract Function<C,Object[]>` | `getRightCombinedMapping()`
    `abstract Function<C,Object>` | `getRightMapping(int joinerId)`
    `static <A,B,C> TriJoiner<A,B,C>` | `merge(TriJoiner<A,B,C>... joiners)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `getJoinerTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTriJoiner

          public AbstractTriJoiner()

  - ### Method Detail

    - #### merge

          @SafeVarargs
          public static final <A,B,C> TriJoiner<A,B,C> merge(TriJoiner<A,B,C>... joiners)

    - #### getLeftMapping

          public abstract BiFunction<A,B,Object> getLeftMapping(int joinerId)

    - #### getLeftCombinedMapping

          public abstract BiFunction<A,B,Object[]> getLeftCombinedMapping()

    - #### getRightMapping

          public abstract Function<C,Object> getRightMapping(int joinerId)

    - #### getRightCombinedMapping

          public abstract Function<C,Object[]> getRightCombinedMapping()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.